Bug 306301 - commandline editing is entirely broken w/in grub shell
commandline editing is entirely broken w/in grub shell
Status: CLOSED DUPLICATE of bug 246830
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 21:04 EDT by deanm
Modified: 2009-05-04 15:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 15:29:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description deanm 2007-09-25 21:04:11 EDT
Description of problem:
On both 64-bit F7 and 64-bit FC6, commandline editing w/in
the GRUB shell is completely broken.  For example TAB simply
tabs over to the right and completes nothing.

Hitting Ctrl-A gets you a ^A on the screen, and does not move the
cursor to the start of line.

This bug appears to be a manifestation of bug 17298
but I'm really not certain and am not competent to find out. (Sorry). 

Since that bug was submitted in 2005, I have submitted this one in the
hope that it will actually get fixed.

Version-Release number of selected component (if applicable):
Grub version 0.97

How reproducible:

Every time.

Steps to Reproduce:
1. Type "grub" on a VT command line
2. Hit TAB.
3. Hit ctrl-A
  
Actual results: See above


Expected results: TAB shd. list a let of commands or complete something


Additional info:
Comment 1 deanm 2007-09-26 09:41:54 EDT
I misclassified the platform.  It shd. be x86_64.  I've changed it above.

Also the related bug mentioned above shd. have been bug 172908. I have also
found bug 220388 which has the same symptoms but the reporter claims happens on
ALL platforms.

The bug I'm reporting is limited to x86_64. None of my i386 machines (FC5 and FC6)
show the bug.
Comment 2 Bug Zapper 2008-05-14 10:30:29 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:29:20 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Michal Jaegermann 2008-06-22 12:50:58 EDT
That is what 'info grub' explicitely says:

This means that, for example, you only need to type

     root (

   followed by a <TAB>, and GRUB will display the list of drives,
partitions, or file names.

Nothing like that happens while apparently it used to in the past
(or this is really architecture dependent?).  That is extremely
unhelpful in "rescue" situations.  Checked currently with
grub-0.97-33.fc9.x86_64.

An automatic bug-zapping is maybe a "feel good" activity but
is seriously counterproductive.
Comment 5 Jeremy Katz 2009-05-04 15:29:01 EDT

*** This bug has been marked as a duplicate of bug 246830 ***

Note You need to log in before you can comment on or make changes to this bug.